Skip to main content
PATCH
Update an alert

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string
required

Alert ID to update.

Body

application/json
display_name
string

New workspace-unique display name. Omit to keep the current name.

description
string

New description. Omit to keep the current description.

signal
string

New UI signal preset. Omit to keep the current value.

query
object

Replacement query. Omit to keep the current query.

condition
object

Replacement condition. Omit to keep the current condition.

notifier_ids
string[]

Replacement notifier set. Omit to keep the current notifiers.

enabled
boolean

New enabled state. Omit to keep the current state.

Response

200 - application/json

OK

alert
object
required

Updated alert.